/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_OBFetalBodyWeightEquationsAndTables;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_OBFetalBodyWeightEquationsAndTables;


/**
 * This class represents OBFetalBodyWeightEquationsAndTables - CID12014
 */
public class OBFetalBodyWeightEquationsAndTables_CID12014 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new OBFetalBodyWeightEquationsAndTables_CID12014 Template 
	 */
	public OBFetalBodyWeightEquationsAndTables_CID12014()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumOBFetalBodyWeightEquationsAndTables Object of EnumCM_OBFetalBodyWeightEquationsAndTables represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_OBFetalBodyWeightEquationsAndTables enumOBFetalBodyWeightEquationsAndTables)
	{
		switch(enumOBFetalBodyWeightEquationsAndTables)
		{
		case EFW_BY_AC_CAMPBELL_1975: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_CAMPBELL_1975_11756_4.getValue(); break;
		case EFW_BY_AC_BPD_HADLOCK_1984: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_BPD_HADLOCK_1984_11738_2.getValue(); break;
		case EFW_BY_AC_BPD_FL_HADLOCK_1984: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_BPD_FL_HADLOCK_1984_11734_1.getValue(); break;
		case EFW_BY_AC_BPD_FL_HADLOCK_1985: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_BPD_FL_HADLOCK_1985_11735_8.getValue(); break;
		case EFW_BY_AC_BPD_FL_HC_HADLOCK_1985: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_BPD_FL_HC_HADLOCK_1985_11732_5.getValue(); break;
		case EFW_BY_AC_FL_HADLOCK_1984: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_FL_HADLOCK_1984_11750_7.getValue(); break;
		case EFW_BY_AC_FL_HADLOCK_1985: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_FL_HADLOCK_1985_11751_5.getValue(); break;
		case EFW_BY_AC_FL_HC_HADLOCK_1985: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_FL_HC_HADLOCK_1985_11746_5.getValue(); break;
		case EFW_BY_AC_HC_HADLOCK_1984: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_HC_HADLOCK_1984_11754_9.getValue(); break;
		case EFW_BY_BPD_TTD_HANSMANN_1986: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_BPD_TTD_HANSMANN_1986_33139_7.getValue(); break;
		case EFW_BY_AC_AND_BPD_SHEPARD_1982: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_AC_AND_BPD_SHEPARD_1982_11739_0.getValue(); break;
		case EFW_BY_BPD_FTA_FL_OSAKA_1990: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_BPD_FTA_FL_OSAKA_1990_33140_5.getValue(); break;
		case EFW1_BY_SHINOZUKA_1996: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW1_BY_SHINOZUKA_1996_33141_3.getValue(); break;
		case EFW2_BY_SHINOZUKA_1996: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW2_BY_SHINOZUKA_1996_33142_1.getValue(); break;
		case EFW3_BY_SHINOZUKA_1996: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW3_BY_SHINOZUKA_1996_33143_9.getValue(); break;
		case EFW_BY_BPD_APAD_TAD_FL_TOKYO_1987: this.strCodeValue =EnumCV_OBFetalBodyWeightEquationsAndTables.EFW_BY_BPD_APAD_TAD_FL_TOKYO_1987_33144_7.getValue(); break;
		}
	}

	/**
	 * Sets the value for OBFetalBodyWeightEquationsAndTables
	 * @param enumOBFetalBodyWeightEquationsAndTables Object of EnumCM_OBFetalBodyWeightEquationsAndTables.
	 */
	public void setOBFetalBodyWeightEquationsAndTables(EnumCM_OBFetalBodyWeightEquationsAndTables enumOBFetalBodyWeightEquationsAndTables)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumOBFetalBodyWeightEquationsAndTables.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.LN.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumOBFetalBodyWeightEquationsAndTables);
	}
}
